--- old/usr/src/head/rtld_db.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/rtld_db.h	Sat Aug  2 23:27:13 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,9 +28,6 @@
 #ifndef	_RTLD_DB_H
 #define	_RTLD_DB_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -135,11 +134,7 @@
 #define	RD_CTL_SET_HELPPATH	0x01	/* Set the path used to find helpers */
 
 typedef struct rd_agent rd_agent_t;
-#ifdef __STDC__
 typedef int rl_iter_f(const rd_loadobj_t *, void *);
-#else
-typedef int rl_iter_f();
-#endif
 
 
 /*
@@ -175,7 +170,6 @@
 /*
  * librtld_db.so entry points
  */
-#ifdef __STDC__
 extern void		rd_delete(rd_agent_t *);
 extern char		*rd_errstr(rd_err_e rderr);
 extern rd_err_e		rd_event_addr(rd_agent_t *, rd_event_e, rd_notify_t *);
@@ -192,22 +186,6 @@
 				psaddr_t, rd_plt_info_t *);
 extern rd_err_e		rd_get_dyns(rd_agent_t *, psaddr_t, void **, size_t *);
 extern rd_err_e		rd_reset(struct rd_agent *);
-#else /* !__STDC__ */
-extern void		rd_delete();
-extern char		*rd_errstr();
-extern rd_err_e		rd_event_addr();
-extern rd_err_e		rd_event_enable();
-extern rd_err_e		rd_event_getmsg();
-extern rd_err_e		rd_init();
-extern rd_err_e		rd_ctl();
-extern rd_err_e		rd_loadobj_iter();
-extern void		rd_log();
-extern rd_agent_t	*rd_new();
-extern rd_err_e		rd_objpad_enable();
-extern rd_err_e		rd_plt_resolution();
-extern rd_err_e		rd_get_dyns();
-extern rd_err_e		rd_reset();
-#endif /* !__STDC__ */
 
 #ifdef	__cplusplus
 }
